{
  "name": "tm-front",
  "version": "9.0.0-it.6.snapshot.1",
  "scripts": {
    "ng": "ng",
    "build": "npm-run-all clean-dist build-core build-app",
    "build-tests": "npm-run-all clean-dist build-core build-app-tests",
    "generate-icons": "node ./generate-icons.js",
    "build-app": "ng build sqtm-app --configuration production",
    "build-app-tests": "ng build sqtm-app --configuration tests",
    "build-core": "npm-run-all build-ng-core cp-core-assets cp-ng-zorro-icons",
    "build-ng-core": "ng build sqtm-core --configuration production",
    "cp-core-assets": "cpx \"./projects/sqtm-core/src/assets/**/*\" \"./dist/sqtm-core/assets\"",
    "cp-ng-zorro-icons": "cpx \"./node_modules/@ant-design/icons-angular/src/inline-svg/**/*\" \"./dist/sqtm-core/assets/sqtm-core/icons/assets\"",
    "start": "npm-run-all clean-dist -p start-core start-app",
    "start-tests": "npm-run-all clean-dist -p start-core start-app-tests",
    "start-prod": "npm-run-all clean-dist -p start-core start-app-prod",
    "start-app": "wait-on ./dist/sqtm-core/package.json && ng serve  sqtm-app --disable-host-check --proxy-config proxy-conf.json",
    "start-app-tests": "wait-on ./dist/sqtm-core/package.json && ng serve sqtm-app --disable-host-check --proxy-config proxy-conf.json --configuration tests",
    "start-app-prod": "wait-on ./dist/sqtm-core/package.json && ng serve sqtm-app --proxy-config proxy-conf.json --configuration production",
    "start-core": "npm-run-all -p watch-core-ng wait-for-assets",
    "clean-dist": "rimraf ./dist",
    "watch-core-ng": "ng build sqtm-core --watch",
    "wait-for-assets": "wait-on ./dist && yarn run watch-all-assets",
    "watch-all-assets": "npm-run-all cp-ng-zorro-icons watch-cp-core-assets",
    "watch-cp-core-assets": "cpx \"./projects/sqtm-core/src/assets/**/*\" \"./dist/sqtm-core/assets\" --watch",
    "test-core": "ng test sqtm-core --watch=false --progress",
    "test-app": "ng test sqtm-app --watch=false --progress",
    "prettier:fix": "npx prettier . --write",
    "prettier:run": "npx prettier . --check",
    "lint-all": "eslint **/*.ts",
    "lint-all-fix": "eslint **/*.ts --fix",
    "lint-sqtm-core": "eslint projects/sqtm-core/**/*.ts",
    "lint-sqtm-app": "eslint projects/sqtm-app/**/*.ts",
    "lint-cypress": "eslint cypress/**/*.ts",
    "lint-models": "eslint projects/sqtm-core/src/lib/model/**/*.ts",
    "tsc-check-cypress-integration": "tsc --project ./cypress/tsconfig.json --noEmit",
    "integration-tests-cypress": "wait-on -t 360000 http-get://127.0.0.1:3000/ && ./node_modules/.bin/cypress run --config-file cypress-lite-server-it.config.ts",
    "integration-tests-cypress-dev": "./node_modules/.bin/cypress run",
    "e2e-cypress-postgres": "wait-on -t 3600000 http-get://127.0.0.1:8080/squash/login && ./node_modules/.bin/cypress run --env profile=postgresql --config-file cypress/config/development-e2e.config.ts",
    "e2e-cypress-mariadb": "wait-on -t 3600000 http-get://127.0.0.1:8080/squash/login && ./node_modules/.bin/cypress run --env profile=mariadb --config-file cypress/config/development-e2e.config.ts",
    "watch-cypress": "./node_modules/.bin/cypress open",
    "watch-cypress-e2e-postgres": "./node_modules/.bin/cypress open --env profile=postgresql --config-file cypress/config/development-e2e.config.ts",
    "watch-cypress-e2e-mariadb": "./node_modules/.bin/cypress open --env profile=mariadb --config-file cypress/config/development-e2e.config.ts",
    "analyze-bundle": "webpack-bundle-analyzer dist/sqtm-app/stats.json",
    "merge": "./node_modules/.bin/mochawesome-merge \"cypress/reports/.jsons/spec-*.json\" > cypress/reports/.jsons/merge.json",
    "generate-html": "./node_modules/.bin/marge --charts -i true \"cypress/reports/.jsons/merge.json\" -o cypress/reports -f report",
    "postinstall": "cd ../.. && husky ./tm/tm-front/.husky"
  },
  "private": true,
  "dependencies": {
    "@angular/animations": "~17.3.11",
    "@angular/cdk": "^17.0.0",
    "@angular/common": "~17.3.11",
    "@angular/compiler": "~17.3.11",
    "@angular/core": "~17.3.11",
    "@angular/forms": "~17.3.11",
    "@angular/platform-browser": "~17.3.11",
    "@angular/platform-browser-dynamic": "~17.3.11",
    "@angular/router": "~17.3.11",
    "@ngrx/entity": "~17.0.1",
    "@ngrx/store": "~17.0.1",
    "@ngx-translate/core": "~15.0.0",
    "@types/lodash": "~4.14.165",
    "ace-builds": "~1.4.6",
    "angular-gridster2": "~17.0.0",
    "array-equal": "~1.0.0",
    "camelcase": "~5.3.1",
    "chroma-js": "~2.1.0",
    "ckeditor4-angular": "^5.1.0",
    "clone": "~2.1.2",
    "core-js": "~2.6.11",
    "css-element-queries": "~1.2.1",
    "date-fns": "^2.17.0",
    "date-fns-tz": "^1.1.1",
    "decamelize": "~3.2.0",
    "deep-object-diff": "~1.1.0",
    "docxtemplater": "3.28.0",
    "dompurify": "^3.1.7",
    "file-saver": "^2.0.5",
    "less-plugin-lists": "~1.1.2",
    "lodash": "~4.17.20",
    "ng-zorro-antd": "~17.0.1",
    "ngx-color-picker": "~16.0.0",
    "ngx-cookie-service": "~17.0.1",
    "ngx-speculoos": "~11.0.0",
    "ngx-translate-multi-http-loader": "~9.3.2",
    "pizzip": "^3.0.6",
    "plotly.js": "~2.25.2",
    "rxjs": "~7.8.0",
    "stream-browserify": "^3.0.0",
    "tslib": "^2.3.1",
    "uuid": "~3.4.0",
    "zone.js": "~0.14.2"
  },
  "devDependencies": {
    "@angular-builders/custom-webpack": "^17.0.2",
    "@angular-devkit/build-angular": "~17.3.8",
    "@angular/cli": "~17.3.8",
    "@angular/compiler-cli": "~17.3.11",
    "@angular/language-service": "~17.3.11",
    "@cypress/code-coverage": "^3.12.14",
    "@types/chroma-js": "^2.4.0",
    "@types/dompurify": "^3.0.5",
    "@types/jasmine": "^4.3.1",
    "@types/jasminewd2": "^2.0.10",
    "@types/node": "^18.15.3",
    "@types/plotly.js": "^2.12.18",
    "@typescript-eslint/eslint-plugin": "^6.17.0",
    "@typescript-eslint/parser": "^6.17.0",
    "cpx": "~1.5.0",
    "cypress": "13.11.0",
    "cypress-junit-reporter": "^1.3.1",
    "cypress-mochawesome-reporter": "^2.3.0",
    "cypress-multi-reporters": "^1.5.0",
    "deepmerge-ts": "^4.3.0",
    "eslint": "^8.56.0",
    "eslint-config-prettier": "^9.1.0",
    "eslint-import-resolver-typescript": "^3.6.1",
    "eslint-plugin-import": "^2.29.1",
    "eslint-plugin-no-only-tests": "^3.1.0",
    "eslint-plugin-unused-imports": "^3.0.0",
    "file-loader": "^6.2.0",
    "fs": "^0.0.1-security",
    "http-proxy-middleware": "~1.0.6",
    "husky": "^9.0.11",
    "jasmine-core": "^4.5.0",
    "jasmine-marbles": "^0.9.2",
    "jasmine-spec-reporter": "^7.0.0",
    "karma": "^6.4.1",
    "karma-chrome-launcher": "^3.1.1",
    "karma-coverage-istanbul-reporter": "^3.0.3",
    "karma-jasmine": "^5.1.0",
    "karma-jasmine-html-reporter": "^2.0.0",
    "karma-junit-reporter": "^2.0.1",
    "lint-staged": "^15.2.2",
    "lite-server": "^2.6.1",
    "mariadb": "~2.5.1",
    "mocha": "^10.2.0",
    "mocha-junit-reporter": "^2.0.2",
    "mochawesome-merge": "^4.2.1",
    "mochawesome-report-generator": "^6.0.1",
    "ng-packagr": "^17.0.2",
    "npm-run-all": "~4.1.5",
    "pg": "~8.11.0",
    "prettier": "^3.2.5",
    "protractor": "~7.0.0",
    "rimraf": "~2.6.2",
    "ts-node": "~7.0.0",
    "typescript": "~5.2.2",
    "wait-on": "~7.2.0",
    "webpack-bundle-analyzer": "~3.9.0"
  }
}
